GrailsAetherGrapeEngineFactory (Grails 6.0.0)

Package: org.grails.cli.profile.repository

## [Groovy] Class GrailsAetherGrapeEngineFactory

- org.grails.cli.profile.repository.GrailsAetherGrapeEngineFactory

-     @groovy.transform.CompileStatic
      class GrailsAetherGrapeEngineFactory
      extends java.lang.Object

  Creates aether engine to resolve profiles. Mostly copied from org.springframework.boot.cli.compiler.grape.AetherGrapeEngine. Created to support repositories with authentication.

  Authors:
    James Kleeh
  Since:
    3.2

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsAetherGrapeEngineFactory ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static org.springframework.boot.cli.compiler.grape.AetherGrapeEngine` | `create(groovy.lang.GroovyClassLoader classLoader, java.util.List<GrailsRepositoryConfiguration> repositoryConfigurations, org.springframework.boot.cli.compiler.grape.DependencyResolutionContext dependencyResolutionContext)`
    `` | `private static java.util.List<org.eclipse.aether.repository.RemoteRepository>` | `createRepositories(java.util.List<GrailsRepositoryConfiguration> repositoryConfigurations)`
    `` | `private static org.eclipse.aether.spi.locator.ServiceLocator` | `createServiceLocator()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### GrailsAetherGrapeEngineFactory()

  - ### Method Detail

    - #### static org.springframework.boot.cli.compiler.grape.AetherGrapeEngine create(groovy.lang.GroovyClassLoader classLoader, java.util.List<GrailsRepositoryConfiguration> repositoryConfigurations, org.springframework.boot.cli.compiler.grape.DependencyResolutionContext dependencyResolutionContext)

    - #### private static java.util.List<org.eclipse.aether.repository.RemoteRepository> createRepositories(java.util.List<GrailsRepositoryConfiguration> repositoryConfigurations)

    - #### private static org.eclipse.aether.spi.locator.ServiceLocator createServiceLocator()